Bug 486986 - Service netfs stop will also stop machine from exporting nfs shares
Service netfs stop will also stop machine from exporting nfs shares
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts (Show other bugs)
4.9
All Linux
low Severity medium
: rc
: ---
Assigned To: initscripts Maintenance Team
qe-baseos-daemons
:
Depends On: 481794
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 10:52 EST by Sachin Prabhu
Modified: 2010-10-23 03:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 481794
Environment:
Last Closed: 2010-04-20 14:48:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachin Prabhu 2009-02-23 10:52:26 EST
+++ This bug was initially created as a clone of Bug #481794 +++

Created an attachment (id=330115)
Proposed patch.

If a machine is both a NFS server and a client with nfs shares mounted. The command
service netfs stop
will unmount these nfs shares correctly. 

However it also unmounts /proc/fs/nfsd which is required by the nfs server on the machine. This prevents other clients from mounting nfs shares from this server.

Reproducer:

1) create nfs share and start nfs service.
2) mount nfs share
3) service netfs stop
This will unmount the nfs service. It also unmounts /proc/fs/nfsd which in turn prevents others from mounting from the servers nfs servers.

Note You need to log in before you can comment on or make changes to this bug.